Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 21 Mar 2021 17:16:23 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hello

I have an order with the following number, 6283722809 a part of the order was canceled I don't know why and I already collected the order yesterday on the 20th of march it wasn't a good experience to be honest it took too long and the shop is next to my house I would have gone by myself if I knew the order would be delayed that much and a part of the order would be canceled no problem hopefully you would do a better job next time.

Note: In case you will contact regarding this matter I would prefer to talk with you by email [email-masked]
Sincerely, Mohanad E. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2279599